> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-muhammad-kumail-github-mcp-tab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke Device

> RevokeDevice revokes a whole device: it revokes the device and removes every
 app client on it, so no app on that machine can mint further tokens.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples delete /api/v1/iam/personal_devices/{device_id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/iam/personal_devices/{device_id}:
    delete:
      tags:
        - Personal Device
      summary: Revoke Device
      description: >-
        RevokeDevice revokes a whole device: it revokes the device and removes
        every
         app client on it, so no app on that machine can mint further tokens.
      operationId: c1.api.iam.v1.PersonalDeviceService.RevokeDevice
      parameters:
        - in: path
          name: device_id
          required: true
          schema:
            description: The device identity of the device to revoke (whole-device).
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.iam.v1.PersonalDeviceServiceRevokeDeviceRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.iam.v1.PersonalDeviceServiceRevokeDeviceResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: RevokeDevice
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.PersonalDevice.RevokeDevice(ctx, operations.C1APIIamV1PersonalDeviceServiceRevokeDeviceRequest{\n        DeviceID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.PersonalDeviceServiceRevokeDeviceResponse != nil {\n        // handle response\n    }\n}"
components:
  schemas:
    c1.api.iam.v1.PersonalDeviceServiceRevokeDeviceRequestInput:
      description: The PersonalDeviceServiceRevokeDeviceRequest message.
      title: Personal Device Service Revoke Device Request
      type: object
      x-speakeasy-name-override: PersonalDeviceServiceRevokeDeviceRequest
    c1.api.iam.v1.PersonalDeviceServiceRevokeDeviceResponse:
      description: The PersonalDeviceServiceRevokeDeviceResponse message.
      title: Personal Device Service Revoke Device Response
      type: object
      x-speakeasy-name-override: PersonalDeviceServiceRevokeDeviceResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````